package controllers

import "eta_gn/eta_report/models"

type ErrorController struct {
	BaseCommonController
}

func (c *ErrorController) Error404() {
	c.Data["content"] = "很抱歉您访问的地址或者方法不存在"

	br := new(models.BaseResponse).Init()

	br.Msg = "您访问的资源不存在"
	br.Ret = 404
	c.Data["json"] = br
	c.ServeJSON()
}
