package models

import (
	"eta_gn/eta_report/global"
	"time"
)

type EnglishReportEmailPV struct {
	Id         int       `gorm:"primaryKey;autoIncrement;column:id"`
	ReportId   int       `gorm:"column:report_id" description:"英文报告ID"`
	EmailId    int       `gorm:"column:email_id" description:"邮箱ID"`
	CreateTime time.Time `gorm:"column:create_time" description:"创建时间"`
}

func InsertTrialEnglishReportEmailPV(item *EnglishReportEmailPV) (err error) {

	sql := `INSERT INTO english_report_email_pv(report_id, email_id, create_time) VALUES(?, ?, ?)`
	err = global.DEFAULT_DmSQL.Exec(sql, item.ReportId, item.EmailId, item.CreateTime).Error

	return
}
